Subject: Re: [PATCH] Use lexical-binding in textmodes/page.el and add tests

From: Simen Heggestøyl <[email-masked]>
Date: Sun, 02 Jun 2019 12:25:04 +0200

Oh, sorry Stefan, what a coincidence! I chose that file at random
yesterday. I should do a Debbugs search in advance next time.

Regarding the tests they look almost identical, except that I left out
tests for `count-lines-page' and `what-page', because I was unsure
whether they would be too dependent on the format of the user messages.

Maybe it would be good to factor out the meat of `count-lines-page'
and `what-page' into two internal functions returning just the raw
numbers, test those, and turn the interactive functions into
interfaces for them?

-- Simen